Index: /branches/UKMO/dev_r5518_obs_oper_update_icethick/NEMOGCM/EXTERNAL/AGRIF/LIB/fortran.c
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update_icethick/NEMOGCM/EXTERNAL/AGRIF/LIB/fortran.c	(revision 9986)
+++ /branches/UKMO/dev_r5518_obs_oper_update_icethick/NEMOGCM/EXTERNAL/AGRIF/LIB/fortran.c	(revision 9987)
@@ -11106,6 +9444,6 @@
 			/* We're scanning a new file or input source.  It's
 			 * possible that this happened because the user
-			 * just pointed fortranin at a new source and called
-			 * fortranlex().  If so, then we have to assure
+			 * just pointed fortran_in at a new source and called
+			 * fortran_lex().  If so, then we have to assure
 			 * consistency between YY_CURRENT_BUFFER and our
 			 * globals.  Here is the right place to do so, because
@@ -11114,5 +9452,5 @@
 			 */
 			(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
-			YY_CURRENT_BUFFER_LVALUE->yy_input_file = fortranin;
+			YY_CURRENT_BUFFER_LVALUE->yy_input_file = fortran_in;
 			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status = YY_BUFFER_NORMAL;
 			}
@@ -11167,9 +9505,9 @@
 				(yy_did_buffer_switch_on_eof) = 0;
 
-				if ( fortranwrap( ) )
+				if ( fortran_wrap( ) )
 					{
 					/* Note: because we've taken care in
 					 * yy_get_next_buffer() to have set up
-					 * fortrantext, we can now set up
+					 * fortran_text, we can now set up
 					 * yy_c_buf_p so that if some total
 					 * hoser (like flex itself) wants to
@@ -11220,5 +9558,5 @@
 	} /* end of action switch */
 		} /* end of scanning one token */
-} /* end of fortranlex */
+} /* end of fortran_lex */
 
 /* yy_get_next_buffer - try to read in a new buffer
@@ -11298,5 +9636,5 @@
 				b->yy_ch_buf = (char *)
 					/* Include room in for 2 EOB chars. */
-					fortranrealloc((void *) b->yy_ch_buf,b->yy_buf_size + 2  );
+					fortran_realloc((void *) b->yy_ch_buf,b->yy_buf_size + 2  );
 				}
 			else
@@ -11330,5 +9668,5 @@
 			{
 			ret_val = EOB_ACT_END_OF_FILE;
-			fortranrestart(fortranin  );
+			fortran_restart(fortran_in  );
 			}
 
@@ -11347,5 +9685,5 @@
 		/* Extend the array by 50%, plus the number we really need. */
 		yy_size_t new_size = (yy_n_chars) + number_to_move + ((yy_n_chars) >> 1);
-		YY_CURRENT_BUFFER_LVALUE->yy_ch_buf = (char *) fortranrealloc((void *) YY_CURRENT_BUFFER_LVALUE->yy_ch_buf,new_size  );
+		YY_CURRENT_BUFFER_LVALUE->yy_ch_buf = (char *) fortran_realloc((void *) YY_CURRENT_BUFFER_LVALUE->yy_ch_buf,new_size  );
 		if ( ! YY_CURRENT_BUFFER_LVALUE->yy_ch_buf )
 			YY_FATAL_ERROR( "out of dynamic memory in yy_get_next_buffer()" );
@@ -11382,5 +9720,5 @@
 			{
 			yy_current_state = (int) yy_def[yy_current_state];
-			if ( yy_current_state >= 1162 )
+			if ( yy_current_state >= 1132 )
 				yy_c = yy_meta[(unsigned int) yy_c];
 			}
@@ -11410,9 +9748,9 @@
 		{
 		yy_current_state = (int) yy_def[yy_current_state];
-		if ( yy_current_state >= 1162 )
+		if ( yy_current_state >= 1132 )
 			yy_c = yy_meta[(unsigned int) yy_c];
 		}
 	yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
-	yy_is_jam = (yy_current_state == 1161);
+	yy_is_jam = (yy_current_state == 1131);
 
 	return yy_is_jam ? 0 : yy_current_state;
@@ -11425,5 +9763,5 @@
     yy_cp = (yy_c_buf_p);
 
-	/* undo effects of setting up fortrantext */
+	/* undo effects of setting up fortran_text */
 	*yy_cp = (yy_hold_char);
 
@@ -11497,5 +9835,5 @@
 
 					/* Reset buffer status. */
-					fortranrestart(fortranin );
+					fortran_restart(fortran_in );
 
 					/*FALLTHROUGH*/
@@ -11503,5 +9841,5 @@
 				case EOB_ACT_END_OF_FILE:
 					{
-					if ( fortranwrap( ) )
+					if ( fortran_wrap( ) )
 						return 0;
 
@@ -11523,5 +9861,5 @@
 
 	c = *(unsigned char *) (yy_c_buf_p);	/* cast for 8-bit char's */
-	*(yy_c_buf_p) = '\0';	/* preserve fortrantext */
+	*(yy_c_buf_p) = '\0';	/* preserve fortran_text */
 	(yy_hold_char) = *++(yy_c_buf_p);
 
@@ -11537,15 +9875,15 @@
  * @note This function does not reset the start condition to @c INITIAL .
  */
-    void fortranrestart  (FILE * input_file )
+    void fortran_restart  (FILE * input_file )
 {
     
 	if ( ! YY_CURRENT_BUFFER ){
-        fortranensure_buffer_stack ();
+        fortran_ensure_buffer_stack ();
 		YY_CURRENT_BUFFER_LVALUE =
-            fortran_create_buffer(fortranin,YY_BUF_SIZE );
+            fortran__create_buffer(fortran_in,YY_BUF_SIZE );
 	}
 
-	fortran_init_buffer(YY_CURRENT_BUFFER,input_file );
-	fortran_load_buffer_state( );
+	fortran__init_buffer(YY_CURRENT_BUFFER,input_file );
+	fortran__load_buffer_state( );
 }
 
@@ -11554,13 +9892,13 @@
  * 
  */
-    void fortran_switch_to_buffer  (YY_BUFFER_STATE  new_buffer )
+    void fortran__switch_to_buffer  (YY_BUFFER_STATE  new_buffer )
 {
     
 	/* TODO. We should be able to replace this entire function body
 	 * with
-	 *		fortranpop_buffer_state();
-	 *		fortranpush_buffer_state(new_buffer);
+	 *		fortran_pop_buffer_state();
+	 *		fortran_push_buffer_state(new_buffer);
      */
-	fortranensure_buffer_stack ();
+	fortran_ensure_buffer_stack ();
 	if ( YY_CURRENT_BUFFER == new_buffer )
 		return;
@@ -11575,9 +9913,9 @@
 
 	YY_CURRENT_BUFFER_LVALUE = new_buffer;
-	fortran_load_buffer_state( );
+	fortran__load_buffer_state( );
 
 	/* We don't actually know whether we did this switch during
-	 * EOF (fortranwrap()) processing, but the only time this flag
-	 * is looked at is after fortranwrap() is called, so it's safe
+	 * EOF (fortran_wrap()) processing, but the only time this flag
+	 * is looked at is after fortran_wrap() is called, so it's safe
 	 * to go ahead and always set it.
 	 */
@@ -11585,9 +9923,9 @@
 }
 
-static void fortran_load_buffer_state  (void)
+static void fortran__load_buffer_state  (void)
 {
     	(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
 	(yytext_ptr) = (yy_c_buf_p) = YY_CURRENT_BUFFER_LVALUE->yy_buf_pos;
-	fortranin = YY_CURRENT_BUFFER_LVALUE->yy_input_file;
+	fortran_in = YY_CURRENT_BUFFER_LVALUE->yy_input_file;
 	(yy_hold_char) = *(yy_c_buf_p);
 }
@@ -11599,11 +9937,11 @@
  * @return the allocated buffer state.
  */
-    YY_BUFFER_STATE fortran_create_buffer  (FILE * file, int  size )
+    YY_BUFFER_STATE fortran__create_buffer  (FILE * file, int  size )
 {
 	YY_BUFFER_STATE b;
     
-	b = (YY_BUFFER_STATE) fortranalloc(sizeof( struct yy_buffer_state )  );
+	b = (YY_BUFFER_STATE) fortran_alloc(sizeof( struct yy_buffer_state )  );
 	if ( ! b )
-		YY_FATAL_ERROR( "out of dynamic memory in fortran_create_buffer()" );
+		YY_FATAL_ERROR( "out of dynamic memory in fortran__create_buffer()" );
 
 	b->yy_buf_size = size;
@@ -11612,11 +9950,11 @@
 	 * we need to put in 2 end-of-buffer characters.
 	 */
-	b->yy_ch_buf = (char *) fortranalloc(b->yy_buf_size + 2  );
+	b->yy_ch_buf = (char *) fortran_alloc(b->yy_buf_size + 2  );
 	if ( ! b->yy_ch_buf )
-		YY_FATAL_ERROR( "out of dynamic memory in fortran_create_buffer()" );
+		YY_FATAL_ERROR( "out of dynamic memory in fortran__create_buffer()" );
 
 	b->yy_is_our_buffer = 1;
 
-	fortran_init_buffer(b,file );
+	fortran__init_buffer(b,file );
 
 	return b;
@@ -11624,8 +9962,8 @@
 
 /** Destroy the buffer.
- * @param b a buffer created with fortran_create_buffer()
+ * @param b a buffer created with fortran__create_buffer()
  * 
  */
-    void fortran_delete_buffer (YY_BUFFER_STATE  b )
+    void fortran__delete_buffer (YY_BUFFER_STATE  b )
 {
     
@@ -11637,7 +9975,7 @@
 
 	if ( b->yy_is_our_buffer )
-		fortranfree((void *) b->yy_ch_buf  );
-
-	fortranfree((void *) b  );
+		fortran_free((void *) b->yy_ch_buf  );
+
+	fortran_free((void *) b  );
 }
 
@@ -11648,18 +9986,18 @@
 /* Initializes or reinitializes a buffer.
  * This function is sometimes called more than once on the same buffer,
- * such as during a fortranrestart() or at EOF.
+ * such as during a fortran_restart() or at EOF.
  */
-    static void fortran_init_buffer  (YY_BUFFER_STATE  b, FILE * file )
+    static void fortran__init_buffer  (YY_BUFFER_STATE  b, FILE * file )
 
 {
 	int oerrno = errno;
     
-	fortran_flush_buffer(b );
+	fortran__flush_buffer(b );
 
 	b->yy_input_file = file;
 	b->yy_fill_buffer = 1;
 
-    /* If b is the current buffer, then fortran_init_buffer was _probably_
-     * called from fortranrestart() or through yy_get_next_buffer.
+    /* If b is the current buffer, then fortran__init_buffer was _probably_
+     * called from fortran_restart() or through yy_get_next_buffer.
      * In that case, we don't want to reset the lineno or column.
      */
@@ -11678,5 +10016,5 @@
  * 
  */
-    void fortran_flush_buffer (YY_BUFFER_STATE  b )
+    void fortran__flush_buffer (YY_BUFFER_STATE  b )
 {
     	if ( ! b )
@@ -11698,5 +10036,5 @@
 
 	if ( b == YY_CURRENT_BUFFER )
-		fortran_load_buffer_state( );
+		fortran__load_buffer_state( );
 }
 
@@ -11707,12 +10045,12 @@
  *  
  */
-void fortranpush_buffer_state (YY_BUFFER_STATE new_buffer )
+void fortran_push_buffer_state (YY_BUFFER_STATE new_buffer )
 {
     	if (new_buffer == NULL)
 		return;
 
-	fortranensure_buffer_stack();
-
-	/* This block is copied from fortran_switch_to_buffer. */
+	fortran_ensure_buffer_stack();
+
+	/* This block is copied from fortran__switch_to_buffer. */
 	if ( YY_CURRENT_BUFFER )
 		{
@@ -11728,6 +10066,6 @@
 	YY_CURRENT_BUFFER_LVALUE = new_buffer;
 
-	/* copied from fortran_switch_to_buffer. */
-	fortran_load_buffer_state( );
+	/* copied from fortran__switch_to_buffer. */
+	fortran__load_buffer_state( );
 	(yy_did_buffer_switch_on_eof) = 1;
 }
@@ -11737,10 +10075,10 @@
  *  
  */
-void fortranpop_buffer_state (void)
+void fortran_pop_buffer_state (void)
 {
     	if (!YY_CURRENT_BUFFER)
 		return;
 
-	fortran_delete_buffer(YY_CURRENT_BUFFER );
+	fortran__delete_buffer(YY_CURRENT_BUFFER );
 	YY_CURRENT_BUFFER_LVALUE = NULL;
 	if ((yy_buffer_stack_top) > 0)
@@ -11748,5 +10086,5 @@
 
 	if (YY_CURRENT_BUFFER) {
-		fortran_load_buffer_state( );
+		fortran__load_buffer_state( );
 		(yy_did_buffer_switch_on_eof) = 1;
 	}
@@ -11756,5 +10094,5 @@
  *  Guarantees space for at least one push.
  */
-static void fortranensure_buffer_stack (void)
+static void fortran_ensure_buffer_stack (void)
 {
 	yy_size_t num_to_alloc;
@@ -11767,9 +10105,9 @@
          */
 		num_to_alloc = 1;
-		(yy_buffer_stack) = (struct yy_buffer_state**)fortranalloc
+		(yy_buffer_stack) = (struct yy_buffer_state**)fortran_alloc
 								(num_to_alloc * sizeof(struct yy_buffer_state*)
 								);
 		if ( ! (yy_buffer_stack) )
-			YY_FATAL_ERROR( "out of dynamic memory in fortranensure_buffer_stack()" );
+			YY_FATAL_ERROR( "out of dynamic memory in fortran_ensure_buffer_stack()" );
 								  
 		memset((yy_buffer_stack), 0, num_to_alloc * sizeof(struct yy_buffer_state*));
@@ -11786,10 +10124,10 @@
 
 		num_to_alloc = (yy_buffer_stack_max) + grow_size;
-		(yy_buffer_stack) = (struct yy_buffer_state**)fortranrealloc
+		(yy_buffer_stack) = (struct yy_buffer_state**)fortran_realloc
 								((yy_buffer_stack),
 								num_to_alloc * sizeof(struct yy_buffer_state*)
 								);
 		if ( ! (yy_buffer_stack) )
-			YY_FATAL_ERROR( "out of dynamic memory in fortranensure_buffer_stack()" );
+			YY_FATAL_ERROR( "out of dynamic memory in fortran_ensure_buffer_stack()" );
 
 		/* zero only the new slots.*/
@@ -11805,5 +10143,5 @@
  * @return the newly allocated buffer state object. 
  */
-YY_BUFFER_STATE fortran_scan_buffer  (char * base, yy_size_t  size )
+YY_BUFFER_STATE fortran__scan_buffer  (char * base, yy_size_t  size )
 {
 	YY_BUFFER_STATE b;
@@ -11815,7 +10153,7 @@
 		return 0;
 
-	b = (YY_BUFFER_STATE) fortranalloc(sizeof( struct yy_buffer_state )  );
+	b = (YY_BUFFER_STATE) fortran_alloc(sizeof( struct yy_buffer_state )  );
 	if ( ! b )
-		YY_FATAL_ERROR( "out of dynamic memory in fortran_scan_buffer()" );
+		YY_FATAL_ERROR( "out of dynamic memory in fortran__scan_buffer()" );
 
 	b->yy_buf_size = size - 2;	/* "- 2" to take care of EOB's */
@@ -11829,10 +10167,10 @@
 	b->yy_buffer_status = YY_BUFFER_NEW;
 
-	fortran_switch_to_buffer(b  );
+	fortran__switch_to_buffer(b  );
 
 	return b;
 }
 
-/** Setup the input buffer state to scan a string. The next call to fortranlex() will
+/** Setup the input buffer state to scan a string. The next call to fortran_lex() will
  * scan from a @e copy of @a str.
  * @param yystr a NUL-terminated string to scan
@@ -11840,13 +10178,13 @@
  * @return the newly allocated buffer state object.
  * @note If you want to scan bytes that may contain NUL values, then use
- *       fortran_scan_bytes() instead.
+ *       fortran__scan_bytes() instead.
  */
-YY_BUFFER_STATE fortran_scan_string (yyconst char * yystr )
+YY_BUFFER_STATE fortran__scan_string (yyconst char * yystr )
 {
     
-	return fortran_scan_bytes(yystr,strlen(yystr) );
+	return fortran__scan_bytes(yystr,strlen(yystr) );
 }
 
-/** Setup the input buffer state to scan the given bytes. The next call to fortranlex() will
+/** Setup the input buffer state to scan the given bytes. The next call to fortran_lex() will
  * scan from a @e copy of @a bytes.
  * @param bytes the byte buffer to scan
@@ -11855,5 +10193,5 @@
  * @return the newly allocated buffer state object.
  */
-YY_BUFFER_STATE fortran_scan_bytes  (yyconst char * yybytes, yy_size_t  _yybytes_len )
+YY_BUFFER_STATE fortran__scan_bytes  (yyconst char * yybytes, yy_size_t  _yybytes_len )
 {
 	YY_BUFFER_STATE b;
@@ -11863,7 +10201,7 @@
 	/* Get memory for full buffer, including space for trailing EOB's. */
 	n = _yybytes_len + 2;
-	buf = (char *) fortranalloc(n  );
+	buf = (char *) fortran_alloc(n  );
 	if ( ! buf )
-		YY_FATAL_ERROR( "out of dynamic memory in fortran_scan_bytes()" );
+		YY_FATAL_ERROR( "out of dynamic memory in fortran__scan_bytes()" );
 
 	for ( i = 0; i < _yybytes_len; ++i )
@@ -11872,7 +10210,7 @@
 	buf[_yybytes_len] = buf[_yybytes_len+1] = YY_END_OF_BUFFER_CHAR;
 
-	b = fortran_scan_buffer(buf,n );
+	b = fortran__scan_buffer(buf,n );
 	if ( ! b )
-		YY_FATAL_ERROR( "bad buffer in fortran_scan_bytes()" );
+		YY_FATAL_ERROR( "bad buffer in fortran__scan_bytes()" );
 
 	/* It's okay to grow etc. this buffer, and we should throw it
@@ -11900,12 +10238,12 @@
 	do \
 		{ \
-		/* Undo effects of setting up fortrantext. */ \
+		/* Undo effects of setting up fortran_text. */ \
         int yyless_macro_arg = (n); \
         YY_LESS_LINENO(yyless_macro_arg);\
-		fortrantext[fortranleng] = (yy_hold_char); \
-		(yy_c_buf_p) = fortrantext + yyless_macro_arg; \
+		fortran_text[fortran_leng] = (yy_hold_char); \
+		(yy_c_buf_p) = fortran_text + yyless_macro_arg; \
 		(yy_hold_char) = *(yy_c_buf_p); \
 		*(yy_c_buf_p) = '\0'; \
-		fortranleng = yyless_macro_arg; \
+		fortran_leng = yyless_macro_arg; \
 		} \
 	while ( 0 )
@@ -11916,8 +10254,8 @@
  * 
  */
-int fortranget_lineno  (void)
+int fortran_get_lineno  (void)
 {
         
-    return fortranlineno;
+    return fortran_lineno;
 }
 
@@ -11925,7 +10263,7 @@
  * 
  */
-FILE *fortranget_in  (void)
+FILE *fortran_get_in  (void)
 {
-        return fortranin;
+        return fortran_in;
 }
 
@@ -11933,7 +10271,7 @@
  * 
  */
-FILE *fortranget_out  (void)
+FILE *fortran_get_out  (void)
 {
-        return fortranout;
+        return fortran_out;
 }
 
@@ -11941,7 +10279,7 @@
  * 
  */
-yy_size_t fortranget_leng  (void)
+yy_size_t fortran_get_leng  (void)
 {
-        return fortranleng;
+        return fortran_leng;
 }
 
@@ -11950,7 +10288,7 @@
  */
 
-char *fortranget_text  (void)
+char *fortran_get_text  (void)
 {
-        return fortrantext;
+        return fortran_text;
 }
 
@@ -11959,8 +10297,8 @@
  * 
  */
-void fortranset_lineno (int  line_number )
+void fortran_set_lineno (int  line_number )
 {
     
-    fortranlineno = line_number;
+    fortran_lineno = line_number;
 }
 
@@ -11969,24 +10307,24 @@
  * @param in_str A readable stream.
  * 
- * @see fortran_switch_to_buffer
+ * @see fortran__switch_to_buffer
  */
-void fortranset_in (FILE *  in_str )
+void fortran_set_in (FILE *  in_str )
 {
-        fortranin = in_str ;
+        fortran_in = in_str ;
 }
 
-void fortranset_out (FILE *  out_str )
+void fortran_set_out (FILE *  out_str )
 {
-        fortranout = out_str ;
+        fortran_out = out_str ;
 }
 
-int fortranget_debug  (void)
+int fortran_get_debug  (void)
 {
-        return fortran_flex_debug;
+        return fortran__flex_debug;
 }
 
-void fortranset_debug (int  bdebug )
+void fortran_set_debug (int  bdebug )
 {
-        fortran_flex_debug = bdebug ;
+        fortran__flex_debug = bdebug ;
 }
 
@@ -11994,5 +10332,5 @@
 {
         /* Initialization is the same as for the non-reentrant scanner.
-     * This function is called from fortranlex_destroy(), so don't allocate here.
+     * This function is called from fortran_lex_destroy(), so don't allocate here.
      */
 
@@ -12006,34 +10344,34 @@
 /* Defined in main.c */
 #ifdef YY_STDINIT
-    fortranin = stdin;
-    fortranout = stdout;
+    fortran_in = stdin;
+    fortran_out = stdout;
 #else
-    fortranin = (FILE *) 0;
-    fortranout = (FILE *) 0;
+    fortran_in = (FILE *) 0;
+    fortran_out = (FILE *) 0;
 #endif
 
     /* For future reference: Set errno on error, since we are called by
-     * fortranlex_init()
+     * fortran_lex_init()
      */
     return 0;
 }
 
-/* fortranlex_destroy is for both reentrant and non-reentrant scanners. */
-int fortranlex_destroy  (void)
+/* fortran_lex_destroy is for both reentrant and non-reentrant scanners. */
+int fortran_lex_destroy  (void)
 {
     
     /* Pop the buffer stack, destroying each element. */
 	while(YY_CURRENT_BUFFER){
-		fortran_delete_buffer(YY_CURRENT_BUFFER  );
+		fortran__delete_buffer(YY_CURRENT_BUFFER  );
 		YY_CURRENT_BUFFER_LVALUE = NULL;
-		fortranpop_buffer_state();
+		fortran_pop_buffer_state();
 	}
 
 	/* Destroy the stack itself. */
-	fortranfree((yy_buffer_stack) );
+	fortran_free((yy_buffer_stack) );
 	(yy_buffer_stack) = NULL;
 
     /* Reset the globals. This is important in a non-reentrant scanner so the next time
-     * fortranlex() is called, initialization will occur. */
+     * fortran_lex() is called, initialization will occur. */
     yy_init_globals( );
 
@@ -12065,10 +10403,10 @@
 #endif
 
-void *fortranalloc (yy_size_t  size )
+void *fortran_alloc (yy_size_t  size )
 {
 	return (void *) malloc( size );
 }
 
-void *fortranrealloc  (void * ptr, yy_size_t  size )
+void *fortran_realloc  (void * ptr, yy_size_t  size )
 {
 	/* The cast to (char *) in the following accommodates both
@@ -12082,30 +10420,21 @@
 }
 
-void fortranfree (void * ptr )
+void fortran_free (void * ptr )
 {
-	free( (char *) ptr );	/* see fortranrealloc() for (char *) cast */
+	free( (char *) ptr );	/* see fortran_realloc() for (char *) cast */
 }
 
 #define YYTABLES_NAME "yytables"
 
-#line 353 "fortran.lex"
-
-
-
-fortranerror(char *s)
+#line 286 "fortran.lex"
+
+
+
+void out_of_donottreat ( void )
 {
-   if (!strcasecmp(curfile,mainfile))
-   {
-      printf("%s line %d, file %s motclef = %s\n",s,line_num_fortran,curfile,fortrantext);
-   }
-   else
-   {
-      printf("%s line %d, file %s motclef = %s curbuf = %s\n",s,line_num_fortran_common,curfile,fortrantext,curbuf);
-   }
-/*   exit(0);*/
+    BEGIN(INITIAL);
+    if (infixed) BEGIN(fortran77style) ;
+    if (infree)  BEGIN(fortran90style) ;
+    INCREMENT_LINE_NUM() ;
 }
 
-int fortranwrap()
-{
-}
-
